using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("检查岗位")]
    public class T_SK_ENTERPRISE_LIBRARY_DETAIL_CONTENT_POST : MesEntityBase
    {
        /// <summary>
        /// 检查部门
        /// </summary>
        [Description("检查部门")]
        [DataFieldForeignKey("Nav_DetailDepart", "Nav_DetailPosts")]
        public Guid ENTERPRISE_LIBRARY_DETAIL_CONTENT_DEPART_ID { get; set; }

        /// <summary>
        /// 导航属性：检查部门
        /// </summary>
        [Description("导航属性：检查部门")]
        public T_SK_ENTERPRISE_LIBRARY_DETAIL_CONTENT_DEPART Nav_DetailDepart { get; set; }
        [Description("检查岗位")]
        [DataFieldForeignKey("Nav_Post")]
        public Guid? POST_ID { get; set; }

        [Description("导航属性：检查岗位")]
        public T_FM_USER_POST Nav_Post { get; set; }
    }
}
